piboxd - Bug #353
smb processing gets runaway process
03 Jul 2014 22:37 - Hammel

Status: Closed Start date: 03 Jul 2014
Priority: Immediate Due date:

Assignee: Hammel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Severity: 02 - High

Description

There is something wrong with the smb configuration that causes piboxd's smb thread to spawn and fail to mount, causing shell
zombies. This happens fairly fast so the process list fills up pretty fast.

Workaround is to disable the start/stop of smb thread in src/piboxd.c in the piboxd source tree.

Associated revisions

Revision f2bf3cc4 - 13 Aug 2014 21:09 - Hammel

RM #353: The two calls to popen() did not have associated calls to pclose(). That has been fixed and the runaway processes problem appear to be

fixed.

History

#1 - 24 Jul 2014 20:29 - Hammel
- Description updated

#2 - 28 Jul 2014 15:58 - Hammel
- Severity changed from 01 - Critical to 02 - High

#3 - 13 Aug 2014 21:11 - Hammel
- Status changed from New to In Progress

- % Done changed from 0 to 50

The two calls to popen() did not have associated calls to pclose(). That has been fixed and the runaway processes problem appear to be fixed.

Will keep this open until I've verified that a video player can mount the video server.

#4 - 20 Aug 2014 12:02 - Hammel
- % Done changed from 50 to 70

Runaway process does seem to be gone but | need to change the default command to the following (with appropriate wildcards for IP addresses):

mount -t cifs //192.168.3.1/media /media/smb/192.168.3.1 -0 username=guest,guest,sec=ntim

Once this is tested on both the server and player and shown to be working | can close this issue.
#5 - 31 Aug 2014 19:07 - Hammel
- Status changed from In Progress to Closed
- % Done changed from 70 to 100

Verified working on both server and player.

Closing issue.
